Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Interface InstanceAdvisor

All Known Implementing Classes:
  ClassInstanceAdvisor, GeneratedInstanceAdvisorMixin, InstanceProxyContainer

public interface InstanceAdvisor

Holds an object instance's metadata and attached interceptors

Version:
  $Revision: 1.13 $
Author:
  Bill Burke

Method Summary
`void` | `appendInterceptor(Interceptor interceptor)`
`void` | `appendInterceptor(int index, Interceptor interceptor)`
`void` | `appendInterceptorStack(String stackName)`
`Domain` | `getDomain()`
`Interceptor[]` | `getInterceptors()`
`Interceptor[]` | `getInterceptors(Interceptor[] baseChain)`
`SimpleMetaData` | `getMetaData()`
`Object` | `getPerInstanceAspect(AspectDefinition def)`
`Object` | `getPerInstanceAspect(String aspectName)` Get the instance of an aspect.
`Object` | `getPerInstanceJoinpointAspect(Joinpoint joinpoint, AspectDefinition def)`
`boolean` | `hasAspects()`
`boolean` | `hasInterceptors()`
`void` | `insertInterceptor(Interceptor interceptor)`
`void` | `insertInterceptor(int index, Interceptor interceptor)`
`void` | `insertInterceptorStack(String stackName)`
`void` | `removeInterceptor(String name)`
`void` | `removeInterceptorStack(String name)`

Method Detail

### getMetaData

    public SimpleMetaData getMetaData()

### hasInterceptors

    public boolean hasInterceptors()

### getInterceptors

    public Interceptor[] getInterceptors()

### getInterceptors

    public Interceptor[] getInterceptors(Interceptor[] baseChain)

### hasAspects

    public boolean hasAspects()

### insertInterceptor

    public void insertInterceptor(Interceptor interceptor)

### removeInterceptor

    public void removeInterceptor(String name)

### appendInterceptor

    public void appendInterceptor(Interceptor interceptor)

### insertInterceptorStack

    public void insertInterceptorStack(String stackName)

### removeInterceptorStack

    public void removeInterceptorStack(String name)

### appendInterceptorStack

    public void appendInterceptorStack(String stackName)

### getPerInstanceAspect

    public Object getPerInstanceAspect(String aspectName)

  Get the instance of an aspect. An aspect encapsulates a set of advices.

  Parameters:
    `aspectName` -
  Returns:

### insertInterceptor

    public void insertInterceptor(int index,
                                  Interceptor interceptor)

### appendInterceptor

    public void appendInterceptor(int index,
                                  Interceptor interceptor)

### getPerInstanceAspect

    public Object getPerInstanceAspect(AspectDefinition def)

### getPerInstanceJoinpointAspect

    public Object getPerInstanceJoinpointAspect(Joinpoint joinpoint,
                                                AspectDefinition def)

### getDomain

    public Domain getDomain()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.